# .NET Template Samples

This folder contains samples of templates done for template engine.
These templates are supported by `dotnet new` and Visual Studio. 
For details, on how to configure the templates to be used in Visual Studio, refer to [this article]( https://aka.ms/netcore-templates).
The other examples of complex templates can be found in [Microsoft.TemplateEngine.TestTemplates](https://github.com/dotnet/templating/tree/main/test/Microsoft.TemplateEngine.TestTemplates/test_templates) and [SDK.TestTemplates](https://github.com/dotnet/sdk/tree/main/src/Assets/TestPackages/dotnet-new/test_templates) repositories.

For more general info on the authoring, see:
- [How to create custom templates](https://learn.microsoft.com/en-us/dotnet/core/tools/custom-templates)
- [Template authoring docs in dotnet/templating Wiki](https://github.com/dotnet/templating/wiki)

## Contributing

We would love community contributions here. Please feel free to open the PRs to add more examples or create an [issue](https://github.com/dotnet/templating/issues/new) requesting a new example.

See [CONTRIBUTING.md](../CONTRIBUTING.md) for information on contributing to this project.

## Template Content Repositories

[.NET default templates](https://docs.microsoft.com/en-us/dotnet/core/tools/dotnet-new-sdk-templates) are located in several repositories. You can use them as examples of more complicated templates.

The templates are located in the following repositories:

| Templates | Repository |
|---|---|
|Common project and item templates|[dotnet/sdk](https://github.com/dotnet/sdk)|
|ASP.NET and Blazor templates|[dotnet/aspnetcore](https://github.com/dotnet/aspnetcore)|
|ASP.NET Single Page Application templates| [dotnet/spa-templates](https://github.com/dotnet/spa-templates)|
|WPF templates|[dotnet/wpf](https://github.com/dotnet/wpf)|
|Windows Forms templates|[dotnet/winforms](https://github.com/dotnet/winforms)|
|Test templates|[dotnet/test-templates](https://github.com/dotnet/test-templates)|
|MAUI templates|[dotnet/maui](https://github.com/dotnet/maui)|
